Subject: Re: Legal review results 1: Intellectual property

From: Bruce Lilly <[email-masked]>
Date: Mon, 24 Jan 2005 11:38:04 -0500

>  Date: 2005-01-24 08:12
>  From: Harald Tveit Alvestrand <[email-masked]>
>  To: [email-masked]
>  CC: Jorge Contreras <[email-masked]>
>  
> (explicit CC to Jorge, since I'm interpreting his words)

> On reading the text again, I think this text:
> 
> > (B)  If an IASA Contract provides for the creation, development or
> >  modification of any software (including, without limitation, any
> > search tools, indexing tools and the like) ("Developed Software")
> > then the IAD shall, whenever reasonable and practical, ensure
> > that such contract either (a) grants ownership of such Developed
> > Software to ISOC, or (b) grants ISOC a perpetual, irrevocable
> > right, on behalf of IASA and IETF, to use, display, distribute,
> > reproduce, modify and create derivatives of such Software
> > (including, without limitation, pursuant to an open source style
> > license).  It is preferred that Developed Software be provided and
> > licensed for IASA and IETF use in source code form.
> > ISOC will permit IASA and its designee(s) to have sole control and
> > custodianship of such Developed Software, and ISOC
> > will not utilize or access such Developed Software in
> > connection with any ISOC function other than IETF without
> > the written consent of the IAD.  The foregoing rights are not required
> > in the case of off-the-shelf or other commercially-available software
> >  that is not developed at the expense of ISOC.
> 
> actually is OK for making software free - that would come under the section 
> that says:
> 
> >.... or (b) grants ISOC a perpetual, irrevocable
> > right, on behalf of IASA and IETF, to use, display, distribute,
> > reproduce, modify and create derivatives of such Software
> > (including, without limitation, pursuant to an open source style
> > license).

Several concerns with the specific text re. open source software:

1. "ISOC will permit IASA and its designee(s) to have sole control and
   custodianship of such Developed Software" seems inconsistent
   (in particular the word "sole") with the spirit of open source
   software.

2. "The foregoing rights are not required in the case of off-the-shelf
   or other commercially available software ..."  specifically seems
   to favor commercial software, but not open source software, by
   providing exemptions for commercial software.

3. It is not clear (to this non-lawyer) what the status of parenthetical
   remarks is -- I'd be more comfortable if the "including, without
   limitation, pursuant to an open source style license" were not
   parenthesized.

I think Brian Carpenter's suggestion for review and modification to
ensure that use of or contribution to open source software is not
precluded is a path forward.  To which I'd add that use of open
source software shouldn't be disadvantaged.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: "Contreras, Jorge" <[email-masked]>
Date: Mon, 24 Jan 2005 15:53:48 -0500

> If we assume that the IETF will never be interested in preventing others 
> from using its software, we can remove the stuff that says ".. and ISOC 
> will not utilize or access..... without the written consent of the IAD".
> Jorge - see any problems with removing this?

JLC> No problem.

>We should perhaps ask Jorge to modify his words to ensure that they don't
>preclude IASA from using or contributing to open source software

JLC> I had tried to ensure this, but if there's something that seems
to be a problem I'm all for fixing it!

By the way, this language related primarily to IASA's rights
in software developed for it by someone else, and didn't really
have much to do with software developed by IASA itself.  IASA/IETF
is completely free to contribute to open source projects with software
developed by IASA personnel, to the extent that there are any.

-----Original Message-----
From: Brian E Carpenter [mailto:[email-masked]]
Sent: Monday, January 24, 2005 9:34 AM
To: Harald Tveit Alvestrand
Cc: [email-masked]; Contreras, Jorge
Subject: Re: Legal review results 1: Intellectual property

Harald Tveit Alvestrand wrote:
> --On fredag, januar 21, 2005 10:49:21 -0500 Bruce Lilly 
> <[email-masked]> wrote:
> 
>> Verbosity aside, I don't believe that "sole control and custodianship"
>> applies to open source software. I am not a lawyer, but the "Old text"
>> seems not only more easily comprehended [I am reminded of Jonathan
>> Swift's satirical look at lawyers in Gulliver's Travels, and dismayed
>> that things haven't improved in 275 years] but seems to be considerably
>> more favorable to open source software than the proposed "new text";
>> the latter appears to be heavily biased towards commercial software.
> 
> 
> actually is OK for making software free - that would come under the 
> section that says:
> 
> If we assume that the IETF will never be interested in preventing others 
> from using its software, we can remove the stuff that says ".. and ISOC 
> will not utilize or access..... without the written consent of the IAD".
> Jorge - see any problems with removing this?
> 
> The "IASA and its designee(s)" says that IASA, not ISOC, decides to give 
> others permission to use it - ISOC can't give orders to IASA to limit it.
> 

We should perhaps ask Jorge to modify his words to ensure that they don't
preclude IASA from using or contributing to open source software.

    Brian